Subject: Re: bug#61155: 29.0.60; build failures tree sitter
From: Eli Zaretskii <[email-masked]>
To: John <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Jan 2023 14:36:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 29 Jan 2023 21:00:07 +0000
> From: John <[email-masked]>
> 
> 
> For the last couple of days I have been unable to build emacs-29
> branch; error messages  are
> 
> In toplevel form:
> cedet/semantic/wisent/python.el:30:2: Error: Symbol’s function definition is void: treesit-parser-list
> make[3]: *** [Makefile:332: cedet/semantic/wisent/python.elc] Error 1"
> make[3]: Leaving directory '/home/jpff/GNU/emacs/lisp'
> make[2]: *** [Makefile:366: compile-main] Error 2
> make[2]: Leaving directory '/home/jpff/GNU/emacs/lisp'
> make[1]: *** [Makefile:533: lisp] Error 2
> make[1]: Leaving directory '/home/jpff/GNU/emacs'
> make[1]: Entering directory '/home/jpff/GNU/emacs'

Sorry, should be fixed now.

> I do not have any tree-sitter code.  "make bootstrap" appears to work
> but every day it takes too much time.  I read tat tree-sitter as not
> necessary but this seems to contradict

As long as "make bootstrap" fixes the build, everything is okay, and
what you see is just an inevitable result of development when some
"hot" features that are optional see a lot of changes.  We try to
minimize these problems, but we don't always succeed.

However, this one was a real problem which bootstrap is unable to
fix.  It should be fixed now.